package com.jeeplus.modules.sg.project.service;

import com.jeeplus.core.service.CrudService;
import com.jeeplus.modules.sg.project.entity.WbsItem;
import com.jeeplus.modules.sg.project.entity.WbsProject;
import com.jeeplus.modules.sg.project.mapper.ItemMapper;
import com.jeeplus.modules.sg.project.mapper.ProjectMapper;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(readOnly = true)
public class ItemService extends CrudService<ItemMapper, WbsItem> {


    public WbsItem get(String id) {
        return super.get(id);
    }


    public List<WbsItem> findList(WbsItem wbsItem) {
        return super.findList(wbsItem);
    }

    @Transactional(readOnly = false)
    public void save(WbsItem wbsItem) {
        super.save(wbsItem);
    }

    @Transactional(readOnly = false)
    public void delete(WbsItem wbsItem) {
        super.delete(wbsItem);
    }
}
